%define upstream_name    Config-Model-Backend-Yaml
%define upstream_version 2.134

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Read and write config as a YAML data structure
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Model)
BuildRequires: perl(Config::Model::Backend::Any)
BuildRequires: perl(Config::Model::Exception)
BuildRequires: perl(Config::Model::Tester)
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(ExtUtils::testlib)
BuildRequires: perl(File::Path)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(base)
BuildRequires: perl(boolean)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module is used directly by the Config::Model manpage to read or write
the content of a configuration tree written with YAML syntax in
'Config::Model' configuration tree.

Note:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.json Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon May 19 2025 tv <tv> 2.134.0-1.mga10
+ Revision: 2184925
- imported package perl-Config-Model-Backend-Yaml

